import React from 'react';
import { ViewStyle, StyleProp, ButtonProps } from 'react-native';
import { Color } from 'csstype';
export interface ICrossButtonProps {
    color?: Color;
    iconName?: string;
    backgroundColor?: Color;
    style?: StyleProp<ViewStyle>;
    title?: string;
    size?: number;
    disabled?: boolean;
    mode?: 'text' | 'outlined' | 'contained';
    buttonStyle?: ButtonProps;
    onPress?: () => void;
    compact?: boolean;
}
export declare class CrossButton extends React.Component<ICrossButtonProps> {
    render(): JSX.Element;
}
export default CrossButton;
//# sourceMappingURL=CrossButton.d.ts.map